lp:ubuntu/+source/openvpn

Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/openvpn
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
importer/ubuntu/dsc 2019-09-05 12:25:52 UTC 2019-09-05
DSC file for 2.4.7-1ubuntu2

Author: Ubuntu Git Importer
Author Date: 2019-09-05 12:25:52 UTC

DSC file for 2.4.7-1ubuntu2

applied/ubuntu/eoan 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-applied version 2.4.7-1ubuntu2 to applied/ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:05:25 UTC

Import patches-applied version 2.4.7-1ubuntu2 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: f145ca8d4fcde806f0f5d2e6f7f4315dce28535f
Unapplied parent: 111a0e8a250cf29c33baa2908fd47698139b11d3

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

applied/ubuntu/eoan-devel 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-applied version 2.4.7-1ubuntu2 to applied/ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:05:25 UTC

Import patches-applied version 2.4.7-1ubuntu2 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: f145ca8d4fcde806f0f5d2e6f7f4315dce28535f
Unapplied parent: 111a0e8a250cf29c33baa2908fd47698139b11d3

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

applied/ubuntu/focal-devel 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-applied version 2.4.7-1ubuntu2 to applied/ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:05:25 UTC

Import patches-applied version 2.4.7-1ubuntu2 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: f145ca8d4fcde806f0f5d2e6f7f4315dce28535f
Unapplied parent: 111a0e8a250cf29c33baa2908fd47698139b11d3

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

ubuntu/focal 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-unapplied version 2.4.7-1ubuntu2 to ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:05:25 UTC

Import patches-unapplied version 2.4.7-1ubuntu2 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 05b23829846b1818fb1ea5aab264e260189ab7a2

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

ubuntu/eoan 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-unapplied version 2.4.7-1ubuntu2 to ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:05:25 UTC

Import patches-unapplied version 2.4.7-1ubuntu2 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 05b23829846b1818fb1ea5aab264e260189ab7a2

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

ubuntu/eoan-devel 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-unapplied version 2.4.7-1ubuntu2 to ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:05:25 UTC

Import patches-unapplied version 2.4.7-1ubuntu2 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 05b23829846b1818fb1ea5aab264e260189ab7a2

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

applied/ubuntu/focal 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-applied version 2.4.7-1ubuntu2 to applied/ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:05:25 UTC

Import patches-applied version 2.4.7-1ubuntu2 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: f145ca8d4fcde806f0f5d2e6f7f4315dce28535f
Unapplied parent: 111a0e8a250cf29c33baa2908fd47698139b11d3

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

ubuntu/eoan-proposed 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-unapplied version 2.4.7-1ubuntu2 to ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:05:25 UTC

Import patches-unapplied version 2.4.7-1ubuntu2 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 05b23829846b1818fb1ea5aab264e260189ab7a2

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

applied/ubuntu/devel 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-applied version 2.4.7-1ubuntu2 to applied/ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:05:25 UTC

Import patches-applied version 2.4.7-1ubuntu2 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: f145ca8d4fcde806f0f5d2e6f7f4315dce28535f
Unapplied parent: 111a0e8a250cf29c33baa2908fd47698139b11d3

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

ubuntu/focal-devel 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-unapplied version 2.4.7-1ubuntu2 to ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:05:25 UTC

Import patches-unapplied version 2.4.7-1ubuntu2 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 05b23829846b1818fb1ea5aab264e260189ab7a2

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

applied/ubuntu/eoan-proposed 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-applied version 2.4.7-1ubuntu2 to applied/ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:05:25 UTC

Import patches-applied version 2.4.7-1ubuntu2 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: f145ca8d4fcde806f0f5d2e6f7f4315dce28535f
Unapplied parent: 111a0e8a250cf29c33baa2908fd47698139b11d3

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

ubuntu/devel 2019-09-05 12:05:14 UTC 2019-09-05
Import patches-unapplied version 2.4.7-1ubuntu2 to ubuntu/eoan-proposed

Author: Matthias Klose
Author Date: 2019-09-05 11:05:25 UTC

Import patches-unapplied version 2.4.7-1ubuntu2 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 05b23829846b1818fb1ea5aab264e260189ab7a2

New changelog entries:
  * No-change upload with strops.h and sys/strops.h removed in glibc.

ubuntu/bionic-devel 2019-06-07 09:38:18 UTC 2019-06-07
Import patches-unapplied version 2.4.4-2ubuntu1.3 to ubuntu/bionic-proposed

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:25:51 UTC

Import patches-unapplied version 2.4.4-2ubuntu1.3 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Upload parent: 64295b86a6d15047dc21b43716f32e392cabc1ef

ubuntu/cosmic-updates 2019-06-07 09:38:18 UTC 2019-06-07
Import patches-unapplied version 2.4.6-1ubuntu2.2 to ubuntu/cosmic-proposed

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:24:03 UTC

Import patches-unapplied version 2.4.6-1ubuntu2.2 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Upload parent: be21c1a7762610b0eee47a5e91a44e6fa0738941

ubuntu/bionic-updates 2019-06-07 09:38:18 UTC 2019-06-07
Import patches-unapplied version 2.4.4-2ubuntu1.3 to ubuntu/bionic-proposed

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:25:51 UTC

Import patches-unapplied version 2.4.4-2ubuntu1.3 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Upload parent: 64295b86a6d15047dc21b43716f32e392cabc1ef

applied/ubuntu/bionic-proposed 2019-06-07 09:38:18 UTC 2019-06-07
Import patches-applied version 2.4.4-2ubuntu1.3 to applied/ubuntu/bionic-prop...

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:25:51 UTC

Import patches-applied version 2.4.4-2ubuntu1.3 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: 923deff686e4bf6ea4e9e6bc3c1d87e2fb7aa406
Unapplied parent: 3be4403e224a3c881f1375fac9a093209f8368cb

New changelog entries:
  * d/p/lp-1828771-CapabilityBoundingSet-for-auth_pam.patch: Add CAP_AUDIT_WRITE
    to upstreams set of .service files to avoid issues with callout scripts
    breaking due to sudo/pam being unable to audit the action (LP: #1828771)

ubuntu/cosmic-proposed 2019-06-07 09:38:18 UTC 2019-06-07
Import patches-unapplied version 2.4.6-1ubuntu2.2 to ubuntu/cosmic-proposed

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:24:03 UTC

Import patches-unapplied version 2.4.6-1ubuntu2.2 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Upload parent: be21c1a7762610b0eee47a5e91a44e6fa0738941

applied/ubuntu/bionic-devel 2019-06-07 09:38:18 UTC 2019-06-07
Import patches-applied version 2.4.4-2ubuntu1.3 to applied/ubuntu/bionic-prop...

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:25:51 UTC

Import patches-applied version 2.4.4-2ubuntu1.3 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: 923deff686e4bf6ea4e9e6bc3c1d87e2fb7aa406
Unapplied parent: 3be4403e224a3c881f1375fac9a093209f8368cb

New changelog entries:
  * d/p/lp-1828771-CapabilityBoundingSet-for-auth_pam.patch: Add CAP_AUDIT_WRITE
    to upstreams set of .service files to avoid issues with callout scripts
    breaking due to sudo/pam being unable to audit the action (LP: #1828771)

applied/ubuntu/bionic-updates 2019-06-07 09:38:18 UTC 2019-06-07
Import patches-applied version 2.4.4-2ubuntu1.3 to applied/ubuntu/bionic-prop...

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:25:51 UTC

Import patches-applied version 2.4.4-2ubuntu1.3 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: 923deff686e4bf6ea4e9e6bc3c1d87e2fb7aa406
Unapplied parent: 3be4403e224a3c881f1375fac9a093209f8368cb

New changelog entries:
  * d/p/lp-1828771-CapabilityBoundingSet-for-auth_pam.patch: Add CAP_AUDIT_WRITE
    to upstreams set of .service files to avoid issues with callout scripts
    breaking due to sudo/pam being unable to audit the action (LP: #1828771)

ubuntu/bionic-proposed 2019-06-07 09:38:18 UTC 2019-06-07
Import patches-unapplied version 2.4.4-2ubuntu1.3 to ubuntu/bionic-proposed

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:25:51 UTC

Import patches-unapplied version 2.4.4-2ubuntu1.3 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Upload parent: 64295b86a6d15047dc21b43716f32e392cabc1ef

applied/ubuntu/cosmic-updates 2019-06-07 09:38:18 UTC 2019-06-07
Import patches-applied version 2.4.6-1ubuntu2.2 to applied/ubuntu/cosmic-prop...

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:24:03 UTC

Import patches-applied version 2.4.6-1ubuntu2.2 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: e63eb1eb049de208f27f8d256112ba14196ea69c
Unapplied parent: 2159a0e052f4c9d183eb8edba793a7697d885844

New changelog entries:
  * d/p/lp-1828771-CapabilityBoundingSet-for-auth_pam.patch: Add CAP_AUDIT_WRITE
    to upstreams set of .service files to avoid issues with callout scripts
    breaking due to sudo/pam being unable to audit the action (LP: #1828771)

applied/ubuntu/cosmic-devel 2019-06-07 09:38:18 UTC 2019-06-07
Import patches-applied version 2.4.6-1ubuntu2.2 to applied/ubuntu/cosmic-prop...

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:24:03 UTC

Import patches-applied version 2.4.6-1ubuntu2.2 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: e63eb1eb049de208f27f8d256112ba14196ea69c
Unapplied parent: 2159a0e052f4c9d183eb8edba793a7697d885844

New changelog entries:
  * d/p/lp-1828771-CapabilityBoundingSet-for-auth_pam.patch: Add CAP_AUDIT_WRITE
    to upstreams set of .service files to avoid issues with callout scripts
    breaking due to sudo/pam being unable to audit the action (LP: #1828771)

ubuntu/cosmic-devel 2019-06-07 09:38:18 UTC 2019-06-07
Import patches-unapplied version 2.4.6-1ubuntu2.2 to ubuntu/cosmic-proposed

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:24:03 UTC

Import patches-unapplied version 2.4.6-1ubuntu2.2 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Upload parent: be21c1a7762610b0eee47a5e91a44e6fa0738941

applied/ubuntu/cosmic-proposed 2019-06-07 09:38:18 UTC 2019-06-07
Import patches-applied version 2.4.6-1ubuntu2.2 to applied/ubuntu/cosmic-prop...

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:24:03 UTC

Import patches-applied version 2.4.6-1ubuntu2.2 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: e63eb1eb049de208f27f8d256112ba14196ea69c
Unapplied parent: 2159a0e052f4c9d183eb8edba793a7697d885844

New changelog entries:
  * d/p/lp-1828771-CapabilityBoundingSet-for-auth_pam.patch: Add CAP_AUDIT_WRITE
    to upstreams set of .service files to avoid issues with callout scripts
    breaking due to sudo/pam being unable to audit the action (LP: #1828771)

applied/ubuntu/disco-updates 2019-05-21 18:40:42 UTC 2019-05-21
Import patches-applied version 2.4.6-1ubuntu3.1 to applied/ubuntu/disco-proposed

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:21:37 UTC

Import patches-applied version 2.4.6-1ubuntu3.1 to applied/ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: c691976b40a17211be4ad0ebe49654c702c145f4
Unapplied parent: a3477e52437749d6fa9f954facdb237d13f85d68

New changelog entries:
  * d/p/lp-1828771-CapabilityBoundingSet-for-auth_pam.patch: Add CAP_AUDIT_WRITE
    to upstreams set of .service files to avoid issues with callout scripts
    breaking due to sudo/pam being unable to audit the action (LP: #1828771)

applied/ubuntu/disco-proposed 2019-05-21 18:40:42 UTC 2019-05-21
Import patches-applied version 2.4.6-1ubuntu3.1 to applied/ubuntu/disco-proposed

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:21:37 UTC

Import patches-applied version 2.4.6-1ubuntu3.1 to applied/ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: c691976b40a17211be4ad0ebe49654c702c145f4
Unapplied parent: a3477e52437749d6fa9f954facdb237d13f85d68

New changelog entries:
  * d/p/lp-1828771-CapabilityBoundingSet-for-auth_pam.patch: Add CAP_AUDIT_WRITE
    to upstreams set of .service files to avoid issues with callout scripts
    breaking due to sudo/pam being unable to audit the action (LP: #1828771)

applied/ubuntu/disco-devel 2019-05-21 18:40:42 UTC 2019-05-21
Import patches-applied version 2.4.6-1ubuntu3.1 to applied/ubuntu/disco-proposed

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:21:37 UTC

Import patches-applied version 2.4.6-1ubuntu3.1 to applied/ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: c691976b40a17211be4ad0ebe49654c702c145f4
Unapplied parent: a3477e52437749d6fa9f954facdb237d13f85d68

New changelog entries:
  * d/p/lp-1828771-CapabilityBoundingSet-for-auth_pam.patch: Add CAP_AUDIT_WRITE
    to upstreams set of .service files to avoid issues with callout scripts
    breaking due to sudo/pam being unable to audit the action (LP: #1828771)

ubuntu/disco-proposed 2019-05-21 18:40:42 UTC 2019-05-21
Import patches-unapplied version 2.4.6-1ubuntu3.1 to ubuntu/disco-proposed

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:21:37 UTC

Import patches-unapplied version 2.4.6-1ubuntu3.1 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Upload parent: 8b466b14f12e766242b5e204519c2ce35a128b51

ubuntu/disco-updates 2019-05-21 18:40:42 UTC 2019-05-21
Import patches-unapplied version 2.4.6-1ubuntu3.1 to ubuntu/disco-proposed

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:21:37 UTC

Import patches-unapplied version 2.4.6-1ubuntu3.1 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Upload parent: 8b466b14f12e766242b5e204519c2ce35a128b51

ubuntu/disco-devel 2019-05-21 18:40:42 UTC 2019-05-21
Import patches-unapplied version 2.4.6-1ubuntu3.1 to ubuntu/disco-proposed

Author: Christian Ehrhardt 
Author Date: 2019-05-14 08:21:37 UTC

Import patches-unapplied version 2.4.6-1ubuntu3.1 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Upload parent: 8b466b14f12e766242b5e204519c2ce35a128b51

applied/ubuntu/xenial-proposed 2019-05-08 13:48:16 UTC 2019-05-08
Import patches-applied version 2.3.10-1ubuntu2.2 to applied/ubuntu/xenial-pro...

Author: Joy Latten
Author Date: 2019-01-09 22:31:45 UTC

Import patches-applied version 2.3.10-1ubuntu2.2 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 339225c39d747141aa7cf4c5d8c987f17b88a63d
Unapplied parent: 3efbaa11ac5c476d9fc9e5f5b10edf2f08e5db1c

New changelog entries:
  * d/p/openvpn-fips140-2.3.2.patch: Replace MD5 internal hash
    with SHA256 and allow MD5 for PRF. (LP: #1807439)

applied/ubuntu/xenial-updates 2019-05-08 13:48:16 UTC 2019-05-08
Import patches-applied version 2.3.10-1ubuntu2.2 to applied/ubuntu/xenial-pro...

Author: Joy Latten
Author Date: 2019-01-09 22:31:45 UTC

Import patches-applied version 2.3.10-1ubuntu2.2 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 339225c39d747141aa7cf4c5d8c987f17b88a63d
Unapplied parent: 3efbaa11ac5c476d9fc9e5f5b10edf2f08e5db1c

New changelog entries:
  * d/p/openvpn-fips140-2.3.2.patch: Replace MD5 internal hash
    with SHA256 and allow MD5 for PRF. (LP: #1807439)

ubuntu/xenial-updates 2019-05-08 13:48:16 UTC 2019-05-08
Import patches-unapplied version 2.3.10-1ubuntu2.2 to ubuntu/xenial-proposed

Author: Joy Latten
Author Date: 2019-01-09 22:31:45 UTC

Import patches-unapplied version 2.3.10-1ubuntu2.2 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Upload parent: 8c4584bd5ceeb65241566e00049c7be88166646f

ubuntu/xenial-devel 2019-05-08 13:48:16 UTC 2019-05-08
Import patches-unapplied version 2.3.10-1ubuntu2.2 to ubuntu/xenial-proposed

Author: Joy Latten
Author Date: 2019-01-09 22:31:45 UTC

Import patches-unapplied version 2.3.10-1ubuntu2.2 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Upload parent: 8c4584bd5ceeb65241566e00049c7be88166646f

applied/ubuntu/xenial-devel 2019-05-08 13:48:16 UTC 2019-05-08
Import patches-applied version 2.3.10-1ubuntu2.2 to applied/ubuntu/xenial-pro...

Author: Joy Latten
Author Date: 2019-01-09 22:31:45 UTC

Import patches-applied version 2.3.10-1ubuntu2.2 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 339225c39d747141aa7cf4c5d8c987f17b88a63d
Unapplied parent: 3efbaa11ac5c476d9fc9e5f5b10edf2f08e5db1c

New changelog entries:
  * d/p/openvpn-fips140-2.3.2.patch: Replace MD5 internal hash
    with SHA256 and allow MD5 for PRF. (LP: #1807439)

ubuntu/xenial-proposed 2019-05-08 13:48:16 UTC 2019-05-08
Import patches-unapplied version 2.3.10-1ubuntu2.2 to ubuntu/xenial-proposed

Author: Joy Latten
Author Date: 2019-01-09 22:31:45 UTC

Import patches-unapplied version 2.3.10-1ubuntu2.2 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Upload parent: 8c4584bd5ceeb65241566e00049c7be88166646f

importer/debian/dsc 2019-02-21 05:25:58 UTC 2019-02-21
DSC file for 2.4.7-1

Author: Ubuntu Git Importer
Author Date: 2019-02-21 05:25:58 UTC

DSC file for 2.4.7-1

debian/sid 2019-02-21 04:37:14 UTC 2019-02-21
Import patches-unapplied version 2.4.7-1 to debian/sid

Author: Bernhard Schmidt
Author Date: 2019-02-20 13:50:03 UTC

Import patches-unapplied version 2.4.7-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 5bd4586ef1ee40a578d74479bebe2206852d0567

New changelog entries:
  [ Bernhard Schmidt ]
  * New upstream version 2.4.7
    - improvements regarding TLSv1.3
    - Add CAP_AUDIT_WRITE for auth_pam for upstream units (Closes: #868806)
  * adjust kfreebsd_support.patch for new upstream version
  * Also Add CAP_AUDIT_WRITE for auth_pam for openvpn@.service (Closes: #868806)
  * openvpn@.service: Bump LimitNPROC to 100, see #861923
  [ Simon Deziel ]
  * d/control: suggests openvpn-systemd-resolved (Closes: #913265)
  [ Hilko Bengen ]
  * Avoid hangs when spawning child processes by not setting pkcs11-helper
    "safe fork mode" (Closes: #772812, #900805, #907452)

applied/debian/sid 2019-02-21 04:37:14 UTC 2019-02-21
Import patches-applied version 2.4.7-1 to applied/debian/sid

Author: Bernhard Schmidt
Author Date: 2019-02-20 13:50:03 UTC

Import patches-applied version 2.4.7-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 1d789283e2f39afa34476aded777b721b5af8224
Unapplied parent: a3733a798b56638ff589deecb5ac2a45856883e4

New changelog entries:
  [ Bernhard Schmidt ]
  * New upstream version 2.4.7
    - improvements regarding TLSv1.3
    - Add CAP_AUDIT_WRITE for auth_pam for upstream units (Closes: #868806)
  * adjust kfreebsd_support.patch for new upstream version
  * Also Add CAP_AUDIT_WRITE for auth_pam for openvpn@.service (Closes: #868806)
  * openvpn@.service: Bump LimitNPROC to 100, see #861923
  [ Simon Deziel ]
  * d/control: suggests openvpn-systemd-resolved (Closes: #913265)
  [ Hilko Bengen ]
  * Avoid hangs when spawning child processes by not setting pkcs11-helper
    "safe fork mode" (Closes: #772812, #900805, #907452)

applied/debian/buster 2019-02-21 04:37:14 UTC 2019-02-21
Import patches-applied version 2.4.7-1 to applied/debian/sid

Author: Bernhard Schmidt
Author Date: 2019-02-20 13:50:03 UTC

Import patches-applied version 2.4.7-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 1d789283e2f39afa34476aded777b721b5af8224
Unapplied parent: a3733a798b56638ff589deecb5ac2a45856883e4

New changelog entries:
  [ Bernhard Schmidt ]
  * New upstream version 2.4.7
    - improvements regarding TLSv1.3
    - Add CAP_AUDIT_WRITE for auth_pam for upstream units (Closes: #868806)
  * adjust kfreebsd_support.patch for new upstream version
  * Also Add CAP_AUDIT_WRITE for auth_pam for openvpn@.service (Closes: #868806)
  * openvpn@.service: Bump LimitNPROC to 100, see #861923
  [ Simon Deziel ]
  * d/control: suggests openvpn-systemd-resolved (Closes: #913265)
  [ Hilko Bengen ]
  * Avoid hangs when spawning child processes by not setting pkcs11-helper
    "safe fork mode" (Closes: #772812, #900805, #907452)

debian/buster 2019-02-21 04:37:14 UTC 2019-02-21
Import patches-unapplied version 2.4.7-1 to debian/sid

Author: Bernhard Schmidt
Author Date: 2019-02-20 13:50:03 UTC

Import patches-unapplied version 2.4.7-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 5bd4586ef1ee40a578d74479bebe2206852d0567

New changelog entries:
  [ Bernhard Schmidt ]
  * New upstream version 2.4.7
    - improvements regarding TLSv1.3
    - Add CAP_AUDIT_WRITE for auth_pam for upstream units (Closes: #868806)
  * adjust kfreebsd_support.patch for new upstream version
  * Also Add CAP_AUDIT_WRITE for auth_pam for openvpn@.service (Closes: #868806)
  * openvpn@.service: Bump LimitNPROC to 100, see #861923
  [ Simon Deziel ]
  * d/control: suggests openvpn-systemd-resolved (Closes: #913265)
  [ Hilko Bengen ]
  * Avoid hangs when spawning child processes by not setting pkcs11-helper
    "safe fork mode" (Closes: #772812, #900805, #907452)

applied/debian/stretch 2019-02-16 17:15:02 UTC 2019-02-16
Import patches-applied version 2.4.0-6+deb9u3 to applied/debian/stretch

Author: Bernhard Schmidt
Author Date: 2018-10-14 20:55:44 UTC

Import patches-applied version 2.4.0-6+deb9u3 to applied/debian/stretch

Imported using git-ubuntu import.

Changelog parent: de25bef95f43f816f83949918c260d3e2affcf89
Unapplied parent: 4459b4ac0e21187f8ff459caf2673cec432ab642

New changelog entries:
  * Fix NCP behaviour on TLS reconnect, causing "AEAD Decrypt error: cipher
    final failed" errors (Closes: #909430, #910937)

debian/stretch 2019-02-16 17:15:02 UTC 2019-02-16
Import patches-unapplied version 2.4.0-6+deb9u3 to debian/stretch

Author: Bernhard Schmidt
Author Date: 2018-10-14 20:55:44 UTC

Import patches-unapplied version 2.4.0-6+deb9u3 to debian/stretch

Imported using git-ubuntu import.

Changelog parent: 3443ea6a89b83ac8fe780bd496002e66e19bd3bf

New changelog entries:
  * Fix NCP behaviour on TLS reconnect, causing "AEAD Decrypt error: cipher
    final failed" errors (Closes: #909430, #910937)

ubuntu/disco 2019-01-11 18:38:12 UTC 2019-01-11
Import patches-unapplied version 2.4.6-1ubuntu3 to ubuntu/disco-proposed

Author: Joy Latten
Author Date: 2019-01-09 18:25:59 UTC

Import patches-unapplied version 2.4.6-1ubuntu3 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Upload parent: b2baff9479374293e4f6a4e138d15da60137dec7

applied/ubuntu/disco 2019-01-11 18:38:12 UTC 2019-01-11
Import patches-applied version 2.4.6-1ubuntu3 to applied/ubuntu/disco-proposed

Author: Joy Latten
Author Date: 2019-01-09 18:25:59 UTC

Import patches-applied version 2.4.6-1ubuntu3 to applied/ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: fb194b84cf9ff64eb76dc8e5bcaf560c79ebdfb1
Unapplied parent: aedab0ee095489775e7bed948921385cb49fbacb

New changelog entries:
  * d/p/openvpn-fips-2.4.patch: Allow MD5 in FIPS mode (openssl) for PRF.
    (LP: #1807439)

applied/ubuntu/cosmic 2018-09-03 14:33:18 UTC 2018-09-03
Import patches-applied version 2.4.6-1ubuntu2 to applied/ubuntu/cosmic-proposed

Author: Christian Ehrhardt 
Author Date: 2018-09-03 08:57:35 UTC

Import patches-applied version 2.4.6-1ubuntu2 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: f6c4da4e0d1766dc2a150570537da9e5be447cc2
Unapplied parent: 5742a0fcf18cc0cbd073db5baf190719c8434f27

New changelog entries:
  * d/openvpn@.service: Add CAP_AUDIT_WRITE to avoid issues with callout
    scripts breaking due to sudo/pam being unable to audit the action.
    Fixed in upstream issue #918, suggested to Debian in #868806 (LP: #1787208)

ubuntu/cosmic 2018-09-03 14:33:18 UTC 2018-09-03
Import patches-unapplied version 2.4.6-1ubuntu2 to ubuntu/cosmic-proposed

Author: Christian Ehrhardt 
Author Date: 2018-09-03 08:57:35 UTC

Import patches-unapplied version 2.4.6-1ubuntu2 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Upload parent: 7825bc441ad6c1a23eaf8430d8c6de0538fd2827

importer/ubuntu/pristine-tar 2018-03-08 09:24:12 UTC 2018-03-08
pristine-tar data for openvpn_2.4.4.orig.tar.gz

Author: Ubuntu Git Importer
Author Date: 2018-03-08 09:24:12 UTC

pristine-tar data for openvpn_2.4.4.orig.tar.gz

importer/debian/pristine-tar 2018-03-08 08:52:17 UTC 2018-03-08
pristine-tar data for openvpn_2.4.5.orig.tar.xz

Author: Ubuntu Git Importer
Author Date: 2018-03-08 08:52:17 UTC

pristine-tar data for openvpn_2.4.5.orig.tar.xz

applied/ubuntu/bionic 2018-02-10 20:43:14 UTC 2018-02-10
Import patches-applied version 2.4.4-2ubuntu1 to applied/ubuntu/bionic-proposed

Author: Dimitri John Ledkov
Author Date: 2018-02-10 20:27:56 UTC

Import patches-applied version 2.4.4-2ubuntu1 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: cba904569881fee53343b71097030b347116aa89
Unapplied parent: 1a8395af9c5ec3f16a8709d1cf2ae7b0ae956868

New changelog entries:
  * Sync with Debian. Remaining changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).

ubuntu/bionic 2018-02-10 20:43:14 UTC 2018-02-10
Import patches-unapplied version 2.4.4-2ubuntu1 to ubuntu/bionic-proposed

Author: Dimitri John Ledkov
Author Date: 2018-02-10 20:27:56 UTC

Import patches-unapplied version 2.4.4-2ubuntu1 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: 13de63e978feae059966826cb2150de5cf287731

New changelog entries:
  * Sync with Debian. Remaining changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).

applied/debian/jessie 2017-07-22 17:26:25 UTC 2017-07-22
Import patches-applied version 2.3.4-5+deb8u2 to applied/debian/jessie

Author: Alberto Gonzalez Iniesta
Author Date: 2017-06-22 15:25:13 UTC

Import patches-applied version 2.3.4-5+deb8u2 to applied/debian/jessie

Imported using git-ubuntu import.

Changelog parent: 1d1ee1c498638246390f899aaddf2442eba4c32a
Unapplied parent: 88c811e70e343b493949915d1414355ac355f3ea

New changelog entries:
  * SECURITY UPDATE: authenticated remote DoS vulnerability due to
    packet ID rollover. CVE-2017-7479.
    Kudos to Steve Beattie <sbeattie@ubuntu.com> for doing all the backporting
    work for this patch.
    - debian/patches/CVE-2017-7479-prereq.patch: merge
      packet_id_alloc_outgoing() into packet_id_write()
    - debian/patches/CVE-2017-7479.patch: do not assert when packet ID
      rollover occurs
  * SECURITY UPDATE: (Closes: #865480)
    - CVE-2017-7508.patch. Fix remotely-triggerable ASSERT() on malformed IPv6
      packet.
    - CVE-2017-7520.patch. Prevent two kinds of stack buffer OOB reads and a
      crash for invalid input data.
    - CVE-2017-7521.patch. Fix potential double-free in --x509-alt-username.
    - CVE-2017-7521bis.patch. Fix remote-triggerable memory leaks.

debian/jessie 2017-07-22 17:26:25 UTC 2017-07-22
Import patches-unapplied version 2.3.4-5+deb8u2 to debian/jessie

Author: Alberto Gonzalez Iniesta
Author Date: 2017-06-22 15:25:13 UTC

Import patches-unapplied version 2.3.4-5+deb8u2 to debian/jessie

Imported using git-ubuntu import.

Changelog parent: aa555d953a934b7a2543328615c985c815f07a9e

New changelog entries:
  * SECURITY UPDATE: authenticated remote DoS vulnerability due to
    packet ID rollover. CVE-2017-7479.
    Kudos to Steve Beattie <sbeattie@ubuntu.com> for doing all the backporting
    work for this patch.
    - debian/patches/CVE-2017-7479-prereq.patch: merge
      packet_id_alloc_outgoing() into packet_id_write()
    - debian/patches/CVE-2017-7479.patch: do not assert when packet ID
      rollover occurs
  * SECURITY UPDATE: (Closes: #865480)
    - CVE-2017-7508.patch. Fix remotely-triggerable ASSERT() on malformed IPv6
      packet.
    - CVE-2017-7520.patch. Prevent two kinds of stack buffer OOB reads and a
      crash for invalid input data.
    - CVE-2017-7521.patch. Fix potential double-free in --x509-alt-username.
    - CVE-2017-7521bis.patch. Fix remote-triggerable memory leaks.

ubuntu/artful-proposed 2017-07-03 03:33:24 UTC 2017-07-03
Import patches-unapplied version 2.4.3-4ubuntu1 to ubuntu/artful-proposed

Author: Jeremy Bicha
Author Date: 2017-07-03 03:05:35 UTC

Import patches-unapplied version 2.4.3-4ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 86a1297ef6e98f4ffdbe095519a344ed35eaeb2e

New changelog entries:
  * Sync with Debian. Remaining changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).

ubuntu/artful-devel 2017-07-03 03:33:24 UTC 2017-07-03
Import patches-unapplied version 2.4.3-4ubuntu1 to ubuntu/artful-proposed

Author: Jeremy Bicha
Author Date: 2017-07-03 03:05:35 UTC

Import patches-unapplied version 2.4.3-4ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 86a1297ef6e98f4ffdbe095519a344ed35eaeb2e

New changelog entries:
  * Sync with Debian. Remaining changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).

ubuntu/artful 2017-07-03 03:33:24 UTC 2017-07-03
Import patches-unapplied version 2.4.3-4ubuntu1 to ubuntu/artful-proposed

Author: Jeremy Bicha
Author Date: 2017-07-03 03:05:35 UTC

Import patches-unapplied version 2.4.3-4ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 86a1297ef6e98f4ffdbe095519a344ed35eaeb2e

New changelog entries:
  * Sync with Debian. Remaining changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).

applied/ubuntu/artful-devel 2017-07-03 03:33:24 UTC 2017-07-03
Import patches-applied version 2.4.3-4ubuntu1 to applied/ubuntu/artful-proposed

Author: Jeremy Bicha
Author Date: 2017-07-03 03:05:35 UTC

Import patches-applied version 2.4.3-4ubuntu1 to applied/ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: d2269f493bc593fbb5eed75a6c8213c4c23be101
Unapplied parent: 41764a74bc15d4d6f1c6dd86272be1890cd4815e

New changelog entries:
  * Sync with Debian. Remaining changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).

applied/ubuntu/artful-proposed 2017-07-03 03:33:24 UTC 2017-07-03
Import patches-applied version 2.4.3-4ubuntu1 to applied/ubuntu/artful-proposed

Author: Jeremy Bicha
Author Date: 2017-07-03 03:05:35 UTC

Import patches-applied version 2.4.3-4ubuntu1 to applied/ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: d2269f493bc593fbb5eed75a6c8213c4c23be101
Unapplied parent: 41764a74bc15d4d6f1c6dd86272be1890cd4815e

New changelog entries:
  * Sync with Debian. Remaining changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).

applied/ubuntu/artful 2017-07-03 03:33:24 UTC 2017-07-03
Import patches-applied version 2.4.3-4ubuntu1 to applied/ubuntu/artful-proposed

Author: Jeremy Bicha
Author Date: 2017-07-03 03:05:35 UTC

Import patches-applied version 2.4.3-4ubuntu1 to applied/ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: d2269f493bc593fbb5eed75a6c8213c4c23be101
Unapplied parent: 41764a74bc15d4d6f1c6dd86272be1890cd4815e

New changelog entries:
  * Sync with Debian. Remaining changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).

applied/ubuntu/yakkety-updates 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-applied version 2.3.11-1ubuntu2.1 to applied/ubuntu/yakkety-se...

Author: Marc Deslauriers
Author Date: 2017-06-22 13:04:47 UTC

Import patches-applied version 2.3.11-1ubuntu2.1 to applied/ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 73b5a05968a26009d9ce978ceac946ca58d77b4a
Unapplied parent: 36e0f091ab2d7354cf5a3db3988bc023d4b5c4fc

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c,
      src/openvpn/crypto_polarssl.c, tests/t_lpback.sh.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

applied/ubuntu/yakkety-devel 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-applied version 2.3.11-1ubuntu2.1 to applied/ubuntu/yakkety-se...

Author: Marc Deslauriers
Author Date: 2017-06-22 13:04:47 UTC

Import patches-applied version 2.3.11-1ubuntu2.1 to applied/ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 73b5a05968a26009d9ce978ceac946ca58d77b4a
Unapplied parent: 36e0f091ab2d7354cf5a3db3988bc023d4b5c4fc

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c,
      src/openvpn/crypto_polarssl.c, tests/t_lpback.sh.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

applied/ubuntu/xenial-security 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-applied version 2.3.10-1ubuntu2.1 to applied/ubuntu/xenial-sec...

Author: Marc Deslauriers
Author Date: 2017-06-22 14:32:09 UTC

Import patches-applied version 2.3.10-1ubuntu2.1 to applied/ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: 9f2bd29242c8f99453660f23659e270e583c3f3c
Unapplied parent: f087075f8a1001a1e586c08348bd5b472a7ba4e5

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c,
      src/openvpn/crypto_polarssl.c, tests/t_lpback.sh.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

applied/ubuntu/zesty-devel 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-applied version 2.4.0-4ubuntu1.3 to applied/ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-06-22 12:37:49 UTC

Import patches-applied version 2.4.0-4ubuntu1.3 to applied/ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: b9964f1e157c20237ffa69f51e22c3806394108d
Unapplied parent: d13b625dc36f6a3b20af34ad2e88ab1300d409c7

New changelog entries:
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

ubuntu/zesty-security 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-unapplied version 2.4.0-4ubuntu1.3 to ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-06-22 12:37:49 UTC

Import patches-unapplied version 2.4.0-4ubuntu1.3 to ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: bd6c65cc87445b44027fdbb98d2c698e2075dd69

New changelog entries:
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

ubuntu/zesty-updates 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-unapplied version 2.4.0-4ubuntu1.3 to ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-06-22 12:37:49 UTC

Import patches-unapplied version 2.4.0-4ubuntu1.3 to ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: bd6c65cc87445b44027fdbb98d2c698e2075dd69

New changelog entries:
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

applied/ubuntu/trusty-updates 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-applied version 2.3.2-7ubuntu3.2 to applied/ubuntu/trusty-secu...

Author: Marc Deslauriers
Author Date: 2017-06-22 14:51:34 UTC

Import patches-applied version 2.3.2-7ubuntu3.2 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 368d06b7e8d50f0f3d810eeb262a97d973ae6519
Unapplied parent: b352ab2d52ffb00716d6bdb4c383b2d4cb1a33b6

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

ubuntu/yakkety-security 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-unapplied version 2.3.11-1ubuntu2.1 to ubuntu/yakkety-security

Author: Marc Deslauriers
Author Date: 2017-06-22 13:04:47 UTC

Import patches-unapplied version 2.3.11-1ubuntu2.1 to ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 89b23bcfd9f2ee51a3185553385ce6f10d08245b

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c,
      src/openvpn/crypto_polarssl.c, tests/t_lpback.sh.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

applied/ubuntu/trusty-devel 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-applied version 2.3.2-7ubuntu3.2 to applied/ubuntu/trusty-secu...

Author: Marc Deslauriers
Author Date: 2017-06-22 14:51:34 UTC

Import patches-applied version 2.3.2-7ubuntu3.2 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 368d06b7e8d50f0f3d810eeb262a97d973ae6519
Unapplied parent: b352ab2d52ffb00716d6bdb4c383b2d4cb1a33b6

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

ubuntu/trusty-updates 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-unapplied version 2.3.2-7ubuntu3.2 to ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2017-06-22 14:51:34 UTC

Import patches-unapplied version 2.3.2-7ubuntu3.2 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 7c0e241b9607d0bd389330c104ad8f63499a985c

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

ubuntu/trusty-security 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-unapplied version 2.3.2-7ubuntu3.2 to ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2017-06-22 14:51:34 UTC

Import patches-unapplied version 2.3.2-7ubuntu3.2 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 7c0e241b9607d0bd389330c104ad8f63499a985c

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

applied/ubuntu/trusty-security 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-applied version 2.3.2-7ubuntu3.2 to applied/ubuntu/trusty-secu...

Author: Marc Deslauriers
Author Date: 2017-06-22 14:51:34 UTC

Import patches-applied version 2.3.2-7ubuntu3.2 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 368d06b7e8d50f0f3d810eeb262a97d973ae6519
Unapplied parent: b352ab2d52ffb00716d6bdb4c383b2d4cb1a33b6

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

ubuntu/xenial-security 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-unapplied version 2.3.10-1ubuntu2.1 to ubuntu/xenial-security

Author: Marc Deslauriers
Author Date: 2017-06-22 14:32:09 UTC

Import patches-unapplied version 2.3.10-1ubuntu2.1 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: d3359abb8b88490e79e776e1339c4947581e23c4

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c,
      src/openvpn/crypto_polarssl.c, tests/t_lpback.sh.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

applied/ubuntu/zesty-security 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-applied version 2.4.0-4ubuntu1.3 to applied/ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-06-22 12:37:49 UTC

Import patches-applied version 2.4.0-4ubuntu1.3 to applied/ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: b9964f1e157c20237ffa69f51e22c3806394108d
Unapplied parent: d13b625dc36f6a3b20af34ad2e88ab1300d409c7

New changelog entries:
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

applied/ubuntu/zesty-updates 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-applied version 2.4.0-4ubuntu1.3 to applied/ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-06-22 12:37:49 UTC

Import patches-applied version 2.4.0-4ubuntu1.3 to applied/ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: b9964f1e157c20237ffa69f51e22c3806394108d
Unapplied parent: d13b625dc36f6a3b20af34ad2e88ab1300d409c7

New changelog entries:
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

ubuntu/trusty-devel 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-unapplied version 2.3.2-7ubuntu3.2 to ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2017-06-22 14:51:34 UTC

Import patches-unapplied version 2.3.2-7ubuntu3.2 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 7c0e241b9607d0bd389330c104ad8f63499a985c

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

ubuntu/yakkety-updates 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-unapplied version 2.3.11-1ubuntu2.1 to ubuntu/yakkety-security

Author: Marc Deslauriers
Author Date: 2017-06-22 13:04:47 UTC

Import patches-unapplied version 2.3.11-1ubuntu2.1 to ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 89b23bcfd9f2ee51a3185553385ce6f10d08245b

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c,
      src/openvpn/crypto_polarssl.c, tests/t_lpback.sh.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

applied/ubuntu/yakkety-security 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-applied version 2.3.11-1ubuntu2.1 to applied/ubuntu/yakkety-se...

Author: Marc Deslauriers
Author Date: 2017-06-22 13:04:47 UTC

Import patches-applied version 2.3.11-1ubuntu2.1 to applied/ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 73b5a05968a26009d9ce978ceac946ca58d77b4a
Unapplied parent: 36e0f091ab2d7354cf5a3db3988bc023d4b5c4fc

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c,
      src/openvpn/crypto_polarssl.c, tests/t_lpback.sh.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

ubuntu/zesty-devel 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-unapplied version 2.4.0-4ubuntu1.3 to ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-06-22 12:37:49 UTC

Import patches-unapplied version 2.4.0-4ubuntu1.3 to ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: bd6c65cc87445b44027fdbb98d2c698e2075dd69

New changelog entries:
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

ubuntu/yakkety-devel 2017-06-22 17:43:25 UTC 2017-06-22
Import patches-unapplied version 2.3.11-1ubuntu2.1 to ubuntu/yakkety-security

Author: Marc Deslauriers
Author Date: 2017-06-22 13:04:47 UTC

Import patches-unapplied version 2.3.11-1ubuntu2.1 to ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 89b23bcfd9f2ee51a3185553385ce6f10d08245b

New changelog entries:
  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c,
      src/openvpn/crypto_polarssl.c, tests/t_lpback.sh.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

applied/ubuntu/zesty 2017-02-15 17:33:58 UTC 2017-02-15
Import patches-applied version 2.4.0-4ubuntu1 to applied/ubuntu/zesty-proposed

Author: Jon Grimm
Author Date: 2017-02-10 18:16:57 UTC

Import patches-applied version 2.4.0-4ubuntu1 to applied/ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: e5a59f97b9ea4a6d0b8018687d5a15a8eb57066e
Unapplied parent: 3b56d85faec365f6514f57a82d1e99ed10f7e74e

New changelog entries:
  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).
  * Drop:
    - debian/control: Actually drop the initscripts dependency.
      (Closes: #804968). Already in Debian

ubuntu/zesty-proposed 2017-02-15 17:33:58 UTC 2017-02-15
Import patches-unapplied version 2.4.0-4ubuntu1 to ubuntu/zesty-proposed

Author: Jon Grimm
Author Date: 2017-02-10 18:16:57 UTC

Import patches-unapplied version 2.4.0-4ubuntu1 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 258a949b60bbd840885264854bd2bcd80e577aab
Upload parent: 63802e6153f479b7724f368f3515ee7991033f11

New changelog entries:
  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).
  * Drop:
    - debian/control: Actually drop the initscripts dependency.
      (Closes: #804968). Already in Debian

ubuntu/zesty 2017-02-15 17:33:58 UTC 2017-02-15
Import patches-unapplied version 2.4.0-4ubuntu1 to ubuntu/zesty-proposed

Author: Jon Grimm
Author Date: 2017-02-10 18:16:57 UTC

Import patches-unapplied version 2.4.0-4ubuntu1 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 258a949b60bbd840885264854bd2bcd80e577aab
Upload parent: 63802e6153f479b7724f368f3515ee7991033f11

New changelog entries:
  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).
  * Drop:
    - debian/control: Actually drop the initscripts dependency.
      (Closes: #804968). Already in Debian

applied/ubuntu/zesty-proposed 2017-02-15 17:33:58 UTC 2017-02-15
Import patches-applied version 2.4.0-4ubuntu1 to applied/ubuntu/zesty-proposed

Author: Jon Grimm
Author Date: 2017-02-10 18:16:57 UTC

Import patches-applied version 2.4.0-4ubuntu1 to applied/ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: e5a59f97b9ea4a6d0b8018687d5a15a8eb57066e
Unapplied parent: 3b56d85faec365f6514f57a82d1e99ed10f7e74e

New changelog entries:
  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (LP: #1454725)
    - Demote easy-rsa to Suggests (universe package).
  * Drop:
    - debian/control: Actually drop the initscripts dependency.
      (Closes: #804968). Already in Debian

ubuntu/yakkety 2016-06-22 15:34:09 UTC 2016-06-22
Import patches-unapplied version 2.3.11-1ubuntu2 to ubuntu/yakkety-proposed

Author: Martin Pitt
Author Date: 2016-06-22 14:54:51 UTC

Import patches-unapplied version 2.3.11-1ubuntu2 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: 25f623d0e017be0574a0318a4a81292d06edcece

New changelog entries:
  * debian/control: Actually drop the initscripts dependency.
    (Closes: #804968)

applied/ubuntu/yakkety 2016-06-22 15:34:09 UTC 2016-06-22
Import patches-applied version 2.3.11-1ubuntu2 to applied/ubuntu/yakkety-prop...

Author: Martin Pitt
Author Date: 2016-06-22 14:54:51 UTC

Import patches-applied version 2.3.11-1ubuntu2 to applied/ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: 851235defada2c6c05d96308ef98a8a5924af793
Unapplied parent: a946d226c26cad0a87837e3d2aaafd2122d821ff

New changelog entries:
  * debian/control: Actually drop the initscripts dependency.
    (Closes: #804968)

ubuntu/yakkety-proposed 2016-06-22 15:34:09 UTC 2016-06-22
Import patches-unapplied version 2.3.11-1ubuntu2 to ubuntu/yakkety-proposed

Author: Martin Pitt
Author Date: 2016-06-22 14:54:51 UTC

Import patches-unapplied version 2.3.11-1ubuntu2 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: 25f623d0e017be0574a0318a4a81292d06edcece

New changelog entries:
  * debian/control: Actually drop the initscripts dependency.
    (Closes: #804968)

applied/ubuntu/yakkety-proposed 2016-06-22 15:34:09 UTC 2016-06-22
Import patches-applied version 2.3.11-1ubuntu2 to applied/ubuntu/yakkety-prop...

Author: Martin Pitt
Author Date: 2016-06-22 14:54:51 UTC

Import patches-applied version 2.3.11-1ubuntu2 to applied/ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: 851235defada2c6c05d96308ef98a8a5924af793
Unapplied parent: a946d226c26cad0a87837e3d2aaafd2122d821ff

New changelog entries:
  * debian/control: Actually drop the initscripts dependency.
    (Closes: #804968)

applied/ubuntu/xenial 2016-02-02 12:49:06 UTC 2016-02-02
Import patches-applied version 2.3.10-1ubuntu2 to applied/ubuntu/xenial-proposed

Author: Martin Pitt
Author Date: 2016-02-02 12:33:39 UTC

Import patches-applied version 2.3.10-1ubuntu2 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 6ce8481e211564b4ff747622d430f3c0a4cb72eb
Unapplied parent: 4c6936e035c05da04e74a6bf1cb3fc3c52d30109

New changelog entries:
  * debian/openvpn@.service: Add --script-security similar to what got added
    to debian/openvpn.init.d ages ago (see LP #260291). (LP: #1454725)

ubuntu/xenial 2016-02-02 12:49:06 UTC 2016-02-02
Import patches-unapplied version 2.3.10-1ubuntu2 to ubuntu/xenial-proposed

Author: Martin Pitt
Author Date: 2016-02-02 12:33:39 UTC

Import patches-unapplied version 2.3.10-1ubuntu2 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 0f77d2688e495a1b29af0bc688b11a597631feaf

New changelog entries:
  * debian/openvpn@.service: Add --script-security similar to what got added
    to debian/openvpn.init.d ages ago (see LP #260291). (LP: #1454725)

applied/ubuntu/wily-proposed 2015-07-08 10:48:43 UTC 2015-07-08
Import patches-applied version 2.3.7-1ubuntu1 to applied/ubuntu/wily-proposed

Author: Martin Pitt
Author Date: 2015-07-08 10:28:54 UTC

Import patches-applied version 2.3.7-1ubuntu1 to applied/ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: ed36874f1a44fc84067dd2aa6ab1c46d1d35300d
Unapplied parent: cc40be06215c20d7e470430bca8a8d083ac5db6f

New changelog entries:
  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
    - Demote easy-rsa to Suggests
    - Run openvpn@.service before systemd-user-sessions.service to avoid
      gettys and lightdm starting on top of possible password prompts. This
      provides the equivalent of the init.d script's X-Start-Before:.

applied/ubuntu/wily-devel 2015-07-08 10:48:43 UTC 2015-07-08
Import patches-applied version 2.3.7-1ubuntu1 to applied/ubuntu/wily-proposed

Author: Martin Pitt
Author Date: 2015-07-08 10:28:54 UTC

Import patches-applied version 2.3.7-1ubuntu1 to applied/ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: ed36874f1a44fc84067dd2aa6ab1c46d1d35300d
Unapplied parent: cc40be06215c20d7e470430bca8a8d083ac5db6f

New changelog entries:
  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
    - Demote easy-rsa to Suggests
    - Run openvpn@.service before systemd-user-sessions.service to avoid
      gettys and lightdm starting on top of possible password prompts. This
      provides the equivalent of the init.d script's X-Start-Before:.

applied/ubuntu/wily 2015-07-08 10:48:43 UTC 2015-07-08
Import patches-applied version 2.3.7-1ubuntu1 to applied/ubuntu/wily-proposed

Author: Martin Pitt
Author Date: 2015-07-08 10:28:54 UTC

Import patches-applied version 2.3.7-1ubuntu1 to applied/ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: ed36874f1a44fc84067dd2aa6ab1c46d1d35300d
Unapplied parent: cc40be06215c20d7e470430bca8a8d083ac5db6f

New changelog entries:
  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
    - Demote easy-rsa to Suggests
    - Run openvpn@.service before systemd-user-sessions.service to avoid
      gettys and lightdm starting on top of possible password prompts. This
      provides the equivalent of the init.d script's X-Start-Before:.

ubuntu/wily 2015-07-08 10:48:43 UTC 2015-07-08
Import patches-unapplied version 2.3.7-1ubuntu1 to ubuntu/wily-proposed

Author: Martin Pitt
Author Date: 2015-07-08 10:28:54 UTC

Import patches-unapplied version 2.3.7-1ubuntu1 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 242defcf6824e354ecbfb1ecb3dfc4b1b5abe5bd

New changelog entries:
  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
    - Demote easy-rsa to Suggests
    - Run openvpn@.service before systemd-user-sessions.service to avoid
      gettys and lightdm starting on top of possible password prompts. This
      provides the equivalent of the init.d script's X-Start-Before:.

ubuntu/wily-proposed 2015-07-08 10:48:43 UTC 2015-07-08
Import patches-unapplied version 2.3.7-1ubuntu1 to ubuntu/wily-proposed

Author: Martin Pitt
Author Date: 2015-07-08 10:28:54 UTC

Import patches-unapplied version 2.3.7-1ubuntu1 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 242defcf6824e354ecbfb1ecb3dfc4b1b5abe5bd

New changelog entries:
  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
    - Demote easy-rsa to Suggests
    - Run openvpn@.service before systemd-user-sessions.service to avoid
      gettys and lightdm starting on top of possible password prompts. This
      provides the equivalent of the init.d script's X-Start-Before:.

ubuntu/wily-devel 2015-07-08 10:48:43 UTC 2015-07-08
Import patches-unapplied version 2.3.7-1ubuntu1 to ubuntu/wily-proposed

Author: Martin Pitt
Author Date: 2015-07-08 10:28:54 UTC

Import patches-unapplied version 2.3.7-1ubuntu1 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 242defcf6824e354ecbfb1ecb3dfc4b1b5abe5bd

New changelog entries:
  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
    - Demote easy-rsa to Suggests
    - Run openvpn@.service before systemd-user-sessions.service to avoid
      gettys and lightdm starting on top of possible password prompts. This
      provides the equivalent of the init.d script's X-Start-Before:.

applied/ubuntu/vivid-proposed 2015-04-13 21:53:41 UTC 2015-04-13
Import patches-applied version 2.3.2-9ubuntu4 to applied/ubuntu/vivid-proposed

Author: Martin Pitt
Author Date: 2015-04-13 21:09:01 UTC

Import patches-applied version 2.3.2-9ubuntu4 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 8651c72da26959c7bdd0bb5de202944e7011c3ad
Unapplied parent: cbbaf66433a7a30ebb6d03defa9dfb527002ce41

New changelog entries:
  * Run openvpn@.service before systemd-user-sessions.service to avoid gettys
    and lightdm starting on top of possible password prompts. This provides
    the equivalent of the init.d script's X-Start-Before:.

applied/ubuntu/vivid-devel 2015-04-13 21:53:41 UTC 2015-04-13
Import patches-applied version 2.3.2-9ubuntu4 to applied/ubuntu/vivid-proposed

Author: Martin Pitt
Author Date: 2015-04-13 21:09:01 UTC

Import patches-applied version 2.3.2-9ubuntu4 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 8651c72da26959c7bdd0bb5de202944e7011c3ad
Unapplied parent: cbbaf66433a7a30ebb6d03defa9dfb527002ce41

New changelog entries:
  * Run openvpn@.service before systemd-user-sessions.service to avoid gettys
    and lightdm starting on top of possible password prompts. This provides
    the equivalent of the init.d script's X-Start-Before:.

applied/ubuntu/vivid 2015-04-13 21:53:41 UTC 2015-04-13
Import patches-applied version 2.3.2-9ubuntu4 to applied/ubuntu/vivid-proposed

Author: Martin Pitt
Author Date: 2015-04-13 21:09:01 UTC

Import patches-applied version 2.3.2-9ubuntu4 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 8651c72da26959c7bdd0bb5de202944e7011c3ad
Unapplied parent: cbbaf66433a7a30ebb6d03defa9dfb527002ce41

New changelog entries:
  * Run openvpn@.service before systemd-user-sessions.service to avoid gettys
    and lightdm starting on top of possible password prompts. This provides
    the equivalent of the init.d script's X-Start-Before:.

ubuntu/vivid 2015-04-13 21:53:41 UTC 2015-04-13
Import patches-unapplied version 2.3.2-9ubuntu4 to ubuntu/vivid-proposed

Author: Martin Pitt
Author Date: 2015-04-13 21:09:01 UTC

Import patches-unapplied version 2.3.2-9ubuntu4 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 241cb5f69f70b9e8dbb05f2b528ee227c0cff1d7

New changelog entries:
  * Run openvpn@.service before systemd-user-sessions.service to avoid gettys
    and lightdm starting on top of possible password prompts. This provides
    the equivalent of the init.d script's X-Start-Before:.

1100 of 236 results
This repository contains Public information 
Everyone can see this information.